%define upstream_name    Time-ZoneInfo
%define upstream_version 0.3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Perl extension for returning a list of Time Zones
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Time/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:	    Time-ZoneInfo-0.3-geolocalisation.patch


BuildArch: noarch

%description
An OO interface to accessing a list of timezones. This is useful if you
want to provide an interface for your user to choose one of the available
time zones.

Version 0.3.1 also gives the geolocalisation for a time zone.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*



%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.300.0-12.mga10
+ Revision: 2201162
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.300.0-11.mga9
+ Revision: 1806475
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.300.0-10.mga8
+ Revision: 1497869
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.300.0-9.mga7
+ Revision: 1272382
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.300.0-8.mga6
+ Revision: 1035365
- Rebuild for perl 5.22.2

* Sun Jan 31 2016 umeabot <umeabot> 0.300.0-7.mga6
+ Revision: 929427
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.300.0-6.mga5
+ Revision: 740519
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.300.0-5.mga5
+ Revision: 686711
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.300.0-4.mga4
+ Revision: 538175
- Mageia 4 Mass Rebuild

* Thu Jan 17 2013 pterjan <pterjan> 0.300.0-3.mga4
+ Revision: 389214
+ rebuild (emptylog)

* Sun Jan 13 2013 umeabot <umeabot> 0.300.0-3.mga3
+ Revision: 374361
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.300.0-2.mga1
+ Revision: 23020
- cleaning spec file
- imported package perl-Time-ZoneInfo

